/*
 * partiUser.h
 *
 * Header file containing the definitions for the user-part of pvmParti.
 *
 * Mustafa Uysal, Jan 92 
 *
 * Version 1.0  1/23/1992 Mustafa
 * Created
 */

#ifndef __partiUser_h__
#define __partiUser_h__


/*
 * Symbolic Constants Intended for User
 */
#define ALL_NODES     -1 
#define MAX_HOSTS      32
#define VOID                  /* Substitute for empty arguments */


/*
 * Function Prototypes ....
 */
int  PARTIenroll   ( /* char *progname */ );
void PARTIleave    ( VOID );
int  PARTIinitiateM( /* char *objectFile, char *host_file, int count */ );

void PARTIgisum ( /* INT_TYPE *x, INT_TYPE n, INT_TYPE *work */ );
void PARTIgdsum ( /* DOUBLE_TYPE *x, INT_TYPE n, DOUBLE_TYPE *work */ );
void PARTIgihigh( /* INT_TYPE *x, INT_TYPE n; INT_TYPE *work */ );
void PARTIgsync ( VOID );

int  PARTImyNode   ( VOID );
int  PARTInodeCount( VOID );
char *PARTInodeName( VOID );

int  PARTIinfoCount( VOID );
int  PARTIinfoNode ( VOID );
int  PARTIinfoType ( VOID );
void PARTIrcvinfo  ( /* int *len, int *type, char *proc, int *inum */ );

#endif


